// File: BevelGear.pov
// Date: 11 August 1999
// Auth: David Wilkinson  <davidwilkinson@cwcom.net>
//      simple example of the use of the Bevel gear macro

#version 3.1;

#include "metals.inc"
#include "golds.inc"
#include "bevelgear.inc" 

global_settings
{
  assumed_gamma 1.0
}

camera 
{
  location  <-5,2,6>
  direction 1.5*z
  right     4/3*x
  look_at   <0,-0.8,0>
}

background { color rgb< 0.1, 0.3, 0.8> }

plane { y ,-6 pigment {rgb<0.6235,0.1176,0.7921>}}

light_source
{
  <-30, 30, -30> 
  color rgb 0.8
} 

light_source
{
  <30, 30, 10> 
  color rgb 0.8
}

#declare T1=36; // number of teeth in large gear
#declare T2=10; // number of teeth in small gear
#declare DPitch=6; // the diametral pitch (size of the teeth)
#declare Face=1;  // width of the gear face

object {   // this is the large wheel (called the gear)
   BevelGear(T1,T2,DPitch,Face)      
   rotate y*clock*degrees(2*pi/T1) // animation
   texture {T_Chrome_4B }
}

object {  // this is the small wheel (called the pinion)        
   BevelGear(T2,T1,DPitch,Face)  // note the order of the teeth numbers!
   rotate -y*clock*degrees(2*pi/T2) // animation 
   rotate y*180/T2  // rotate pinion by half a tooth so that it will mesh 
   rotate 90*x // put pinion at right angles to gear                                  
   pigment {rgb <1,0,0>}
//   texture { T08 }
}

